Summary:		Graphical IRC (chat) client
Summary(fr):		Client IRC (chat) avec interface graphique
Summary(de):		IRC-Client (Chat) mit grafischer Oberfläche

%define name		xchat
%define version		2.4.3
%define release		1%{_my_ext}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/IRC
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
License:	GPL
URL:		http://www.xchat.org
Source0:	%{name}-%{version}.tar.bz2
Source1:	xchatb_16.xpm.bz2
Source2:	xchatb_32.xpm.bz2
Source3:	xchatb_48.xpm.bz2
Source4:	mailcheck.so.bz2

%define perl_version	%(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define python_version	%(rpm -q --qf '%%{version}' python)
%define tcl_version	%(rpm -q --qf '%%{version}' tcl)

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	gtk2
Requires:	openssl

BuildRequires:	bison
BuildRequires:	gtk+2-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	tcl
BuildRequires:	ImageMagick
BuildRequires:  socks5-devel

%description
A GUI IRC client with DCC file transfers, C plugin interface, Perl
and Python scripting capability, mIRC color, shaded transparency,
tabbed channels and more.

This package was made for MDK 10.1 because Mandrake does not include
this package as a update in there RPM tree's.

This build includes the orginal mailcheck as a plugin.

Build Options:
  --enable-openssl --enable-ipv6  --enable-hebrew --enable-japanese-conv \
  --enable-python --enable-tcl --enable-textfe --enable-shm --enable-xft \
  --with plf    Enable SOCKS5 support (need to download from PLF)

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:       %{name} = %{version}-%{release}
Requires:	perl-base = %perl_version
%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	python = %python_version
%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:       %{name} = %{version}-%{release}
Requires:	tcl = %tcl_version
%description tcl
Provides TCL scripting capability to XChat.

%package devel
Summary:	XChat header for plugin development
Group:		Networking/IRC

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%prep
%setup -q

%build

%if %{mdkversion} < 1010
%define __libtoolize /bin/true
%endif

%configure --enable-openssl \
	   --enable-ipv6 \
	   --enable-hebrew \
	   --enable-japanese-conv \
	   --enable-python \
	   --enable-tcl \
	   --enable-textfe \
	   --enable-shm \
	   --enable-xft \
	   --enable-socks

make

%install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/pixmaps $RPM_BUILD_ROOT%{_libdir}/xchat/plugins

%makeinstall
strip -R .note -R .comment $RPM_BUILD_ROOT%{_libdir}/perl.so
strip -R .note -R .comment $RPM_BUILD_ROOT%{_libdir}/python.so
strip -R .note -R .comment $RPM_BUILD_ROOT%{_libdir}/tcl.so

mv $RPM_BUILD_ROOT%{_libdir}/perl.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/perl.so
mv $RPM_BUILD_ROOT%{_libdir}/python.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/python.so
mv $RPM_BUILD_ROOT%{_libdir}/tcl.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/tcl.so

mv $RPM_BUILD_ROOT%{_libdir}/perl.la $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
mv $RPM_BUILD_ROOT%{_libdir}/python.la $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
mv $RPM_BUILD_ROOT%{_libdir}/tcl.la $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
cp %_builddir/%{name}-%{version}/%{name}.xpm $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

#install the orginal mailcheck for xchat
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/mailcheck.so

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/ $RPM_BUILD_ROOT%{_liconsdir}/ $RPM_BUILD_ROOT%{_miconsdir}/ $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/xchat.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/xchat.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/xchat.xpm

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
	section="Networking/IRC" \
	title="Xchat" \
	longtitle="Graphical IRC (chat) client" \
	command="%{_bindir}/%{name}" \
	icon="/usr/share/icons/%{name}.xpm"
EOF

%find_lang %name

mkdir -p %{buildroot}%{_includedir}
cp plugins/xchat-plugin.h %{buildroot}%{_includedir}/

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README HACKING INSTALL ChangeLog faq.html COPYING plugins/plugin20.html plugins/perl/xchat2-perldocs.html plugins/perl/xchat2-perl.html

%{_bindir}/xchat
%{_bindir}/xchat-text
%{_datadir}/applications/xchat.desktop
%{_datadir}/pixmaps/%{name}.png
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_libdir}/xchat/plugins/mailcheck.so

%files perl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/perl.so
%{_libdir}/xchat/plugins/perl.la

%files python
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/python.so
%{_libdir}/xchat/plugins/python.la

%files tcl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/tcl.so
%{_libdir}/xchat/plugins/tcl.la

%files devel
%defattr(-,root,root)
%{_includedir}/xchat-plugin.h

%changelog
* Mon Apr 18 2005 Scott Grayban <sgrayban@borgnet.us> 2.4.3-1bng
 - Updated translations (de, sq, zh_CN).
 - Fixed crash of server list connect button when no network is
   selected while using GTK's auto-find feature [1166669].
 - Fixed handling of WhoIs Special event on some networks where it
   could chop off the first character [1164315].
 - Plugin API changes: Added "nickserv" field to xchat_get_info.
 - Python: Fixed get_list() incorrectly failing when the list
   contained a time field [1171525].
 - Perl: Make scripts using calls with fully qualified subs work again
   [1170139] (Lian Wan Situ).
 - Fixed input-box input-method (GTK I.M.) problem [1168239].
 - Fixed: Ignore and Notify windows incorrectly used the stock CLOSE
   button instead of DELETE [1170655].
 - Placed Close/Connect buttons in correct position in server list
   [1165474].

 ----------------------------------------------------------------------
 2.4.2
 ----------------------------------------------------------------------

 - Updated translations (ca, de, lt, nl, ru, sk, sr, vi).
 - Added command line args -u and -p.
 - Fixed handling of "MODE -o+o nick nick" (#1094026).
 - Plugin API changes:
   * Added "Key Press" print event.
   * Added "state_cursor" for xchat_get_prefs.
   * Added xchat_strip and xchat_free functions.
   * Added "lasttalk" field to "users" list.
   * Added "charset" field to xchat_get_info.
 - Perl plugin changes (Lian Wan Situ):
   * Move each script into their own unique package/namespace. Scripts
     containing multiple packages will not be loaded.
   * When warning messages are emitted you will now be told which
     script it came from.
   * Xchat::set_context will now accept Xchat::set_context( $channel )
     and Xchat::set_context( $channel, $server ) in addition to
     Xchat::set_context( $context ).
   * Fix display of loaded scripts in the Plugins and Scripts window.
 - TCL: Fixed crash with invalidated TCL timer (#1110306) (Daniel P.
   Stasinski).
 - /TIMER now supports timeouts to one decimal place.
 - Fixed possible crash of open-file dialog on 64-bit machines.
 - Pressing CTRL-O in the DCC Receive window will now open your
   downloads folder.
 - Win32: Default download folder changed to "My Documents\Downloads".
 - Added -quiet arg to the /charset command.
 - The /country command now supports a wildcard search.
 - The user is now warned when real/user name is left blank in the
   server list window.
 - Added the /URL command.
 - Added a text event for all unknown WHOIS reply lines.
 - Added /ALLCHANL which sends to the current server only.
 - Actions (/ME) are now treated like PRIV/CHAN for purposes of the
   ignore list.

* Sun Dec 19 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.1-5bng
 - rebuild for right extension

* Thu Dec 2 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.1-4bgn
 - Fixed undefined symbol error in the python package.

* Fri Nov 26 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.1-3bgn
 - Build for MDK 10.1
 - Applied patch xc241-fix-fetext.diff
 - Default server/channel to dalnet/#linuxsecurity
 - Created the devel package
 - Added BorgNet server since its mine and default channel to #BorgNet
 
* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.0.1-2bgn
  - Re-Build for MDK 10.1
  - New perl 5.8.5 required rebuild for 10.1
  
* Mon Sep 20 2004 - Scott Grayban <sgrayban@borgnet.us>
  - Xcaht 2.4.0 Build for Mandrake 10
